package MyFramework;
use CGI;

sub new {
    my $class = shift;
    bless { cgi => CGI->new }, $class;
}

sub dispatch {
    my $self = shift;

    my $path = $self->{cgi}->path_info;

    # $path からディスパッチするアクションを決定
    my $action = $self->get_action($path);

    my($headers, $body) = $action->dispatch($self);

    # $headers is HTTP::Headers
    print $headers->as_string, $body;
}

1;
