package MyFramework;
use CGI::PSGI;

sub new {
    my $class = shift;
    my $env = shift;
    bless { cgi => CGI::PSGI->new($env) }, $class;
}

sub dispatch {
    my $self = shift;

    my $path = $self->{cgi}->path_info;

    # $path からディスパッチするアクションを決定
    my $action = $self->get_action($path);

    my($headers, $body) = $action->dispatch($self);

    # $headers is HTTP::Headers
    my @headers;
    $headers->scan(sub { push @headers, @_ });

    return [ 200, \@headers, [ $body ] ];
}

1;
